API EndpointsPayment Methods
Get a list of available payment methods
Header Parameters
x-api-key*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.plexypay.com/v2/paymentMethods" \ -H "x-api-key: string" \ -H "Content-Type: application/json" \ -d '{ "merchantAccount": "string" }'{
"paymentMethods": [
{
"brand": "string",
"brands": [
"string"
],
"configuration": {},
"fundingSource": "string",
"group": "string",
"name": "string",
"type": "string"
}
],
"storedPaymentMethods": [
{
"bankAccountNumber": "string",
"brand": "string",
"expiryMonth": "string",
"expiryYear": "string",
"holderName": "string",
"iban": "string",
"id": "string",
"label": "string",
"lastFour": "string",
"name": "string",
"shopperEmail": "string",
"type": "string"
}
],
"sessionData": "string"
}